import { ScatterBase } from "./ScatterBase";
import { IScaleLegendSeries } from "igniteui-react-core/ES2015/IScaleLegendSeries";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { UIElement } from "igniteui-react-core/ES2015/UIElement";
import { Type } from "igniteui-react-core/ES2015/type";
import { SizeScale } from "./SizeScale";
import { BrushScale } from "./BrushScale";
import { SeriesView } from "./SeriesView";
import { ScatterFrame } from "./ScatterFrame";
import { IChartLegend } from "igniteui-react-core/ES2015/IChartLegend";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { ScatterBaseView } from "./ScatterBaseView";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES2015/FastItemsSourceEventAction";
import { Marker } from "./Marker";
import { BrushSelectionMode } from "./BrushSelectionMode";
import { MarkerManagerBase } from "./MarkerManagerBase";
export declare class BubbleSeries extends ScatterBase implements IScaleLegendSeries {
    static $t: Type;
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    op: BubbleSeriesView;
    constructor();
    private pn;
    private pm;
    isAttachedTo(a: IChartLegend): boolean;
    protected ci(): boolean;
    protected hz(a: (arg1: any) => void): void;
    readonly ov: IFastItemColumn$1<number>;
    oy: List$1<UIElement>;
    private pl;
    readonly legendReady: boolean;
    readonly minScaleText: string;
    readonly maxScaleText: string;
    forScaleColors(a: (arg1: Brush, arg2: number) => void): boolean;
    o9: string;
    ox: IFastItemColumn$1<number>;
    private ot;
    oq: SizeScale;
    o6: string;
    private os;
    ow: IFastItemColumn$1<any>;
    o2: string;
    oo: BrushScale;
    private or;
    ou: IFastItemColumn$1<number>;
    np(a: ScatterBaseView, b: ScatterFrame, c: number, d: Rect, e: Rect): void;
    nt(a: ScatterFrame, b: ScatterBaseView): void;
    private pd;
    static oz(a: number, b: number, c: number, d: number, e: number): number;
    static o0(a: number, b: number, c: number, d: number, logBase_: number, e: number): number;
    du(a: Rect, b: Rect, c: SeriesView): boolean;
    protected m9(a: string, b: FastItemsSourceEventAction): boolean;
    private pc;
    protected hr(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    h5(): void;
    ia(): void;
    protected ir(a: any, b: string, c: any, d: any): void;
    pf(a: List$1<Marker>, b: List$1<number>, c: Rect, d: boolean): void;
    pe(a: List$1<Marker>): void;
    protected get_cy(): boolean;
    readonly actualMarkerBrush: Brush;
    static $$p: string[];
}
export declare class CustomPaletteBrushScale extends BrushScale {
    static $t: Type;
    constructor();
    brushSelectionMode: BrushSelectionMode;
    getBrush1(a: number, b: number): Brush;
    protected get_isReady(): boolean;
    static $$p: string[];
}
export declare class BubbleSeriesView extends ScatterBaseView {
    static $t: Type;
    protected da: BubbleSeries;
    constructor(a: BubbleSeries);
    ap(): void;
    protected cq(): MarkerManagerBase;
    dc(): void;
    dd(): void;
    db(): void;
    getDefaultTooltipTemplate(): string;
}
